package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.List;

import com.palmnest.application.dto.CommonDto;
import com.palmnest.model.estateserve.UserImageInfo;

public class VirAccountDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 5302495620400099741L;

	private Integer compId;//企业id
	private String compName;//企业名称
	private Long accountId;//企业账号id
	
	private String foodCardNo;//饭卡企业ID dz 20190311
	private String foodCardH5;//饭卡h5 dz 20190313
	private String account;//账号
	
	private Integer isLogin;//是否登录
	private Integer isBanding;//是否绑定
	
	private String userId;//用户id
	private String mobile;//电话号码
	private String orgId;//楼栋id
	private String orgName;//楼栋名称
	private List<CommonDto> virList;//企业
	private Integer accountType;//账号类型
	private String address;//送餐地址
	private Long addressId;//地址id
	private String userName;//白名单用户名
	
	private Integer facePlusImageId;
	private String imageUrl01;
	
	private Integer integral;//积分
	private Integer roleType;//1管理员 
	private Integer subAccount;//代订账号个数
	private Integer meetFoodCount;//会议餐份数
	private Integer tempFoodCount;//临时工作餐份数
	private Integer deptId;//部门id
	private String deptName;//部门名称
	private Integer isWhite;//是否是白名单用户 0-不是 1-是
	
	private String passType;//通行方式
	private List<UserImageInfo> facePicList;
	private Long permId;// 权限ID
	private String permName;//权限名称
	private String funcListStr;//权限功能列表字符串
	private Integer checkRole;
	private Integer passRecordStatus=0;

	private String pushState;

	public String getPushState() {
		return pushState;
	}

	public void setPushState(String pushState) {
		this.pushState = pushState;
	}

	public Long getPermId() {
		return permId;
	}

	public void setPermId(Long permId) {
		this.permId = permId;
	}

	public String getPermName() {
		return permName;
	}

	public void setPermName(String permName) {
		this.permName = permName;
	}

	public String getFuncListStr() {
		return funcListStr;
	}

	public void setFuncListStr(String funcListStr) {
		this.funcListStr = funcListStr;
	}
	public Integer getIsWhite() {
		return isWhite;
	}
	public void setIsWhite(Integer isWhite) {
		this.isWhite = isWhite;
	}
	public String getDeptName() {
		return deptName;
	}
	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}
	public Integer getDeptId() {
		return deptId;
	}
	public void setDeptId(Integer deptId) {
		this.deptId = deptId;
	}
	public Long getAddressId() {
		return addressId;
	}
	public void setAddressId(Long addressId) {
		this.addressId = addressId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public Integer getAccountType() {
		return accountType;
	}
	public void setAccountType(Integer accountType) {
		this.accountType = accountType;
	}
	public Integer getCompId() {
		return compId;
	}
	public void setCompId(Integer compId) {
		this.compId = compId;
	}
	public String getCompName() {
		return compName;
	}
	public void setCompName(String compName) {
		this.compName = compName;
	}
	public Long getAccountId() {
		return accountId;
	}
	public void setAccountId(Long accountId) {
		this.accountId = accountId;
	}
	public String getAccount() {
		return account;
	}
	public void setAccount(String account) {
		this.account = account;
	}
	public Integer getIsLogin() {
		return isLogin;
	}
	public void setIsLogin(Integer isLogin) {
		this.isLogin = isLogin;
	}
	public Integer getIsBanding() {
		return isBanding;
	}
	public void setIsBanding(Integer isBanding) {
		this.isBanding = isBanding;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public List<CommonDto> getVirList() {
		return virList;
	}
	public void setVirList(List<CommonDto> virList) {
		this.virList = virList;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Integer getIntegral() {
		return integral;
	}

	public void setIntegral(Integer integral) {
		this.integral = integral;
	}

	public Integer getRoleType() {
		return roleType;
	}

	public void setRoleType(Integer roleType) {
		this.roleType = roleType;
	}

	public Integer getSubAccount() {
		return subAccount;
	}

	public void setSubAccount(Integer subAccount) {
		this.subAccount = subAccount;
	}

	public Integer getMeetFoodCount() {
		return meetFoodCount;
	}

	public void setMeetFoodCount(Integer meetFoodCount) {
		this.meetFoodCount = meetFoodCount;
	}
	public Integer getTempFoodCount() {
		return tempFoodCount;
	}
	public void setTempFoodCount(Integer tempFoodCount) {
		this.tempFoodCount = tempFoodCount;
	}
	public String getFoodCardNo() {
		return foodCardNo;
	}
	public void setFoodCardNo(String foodCardNo) {
		this.foodCardNo = foodCardNo;
	}
	public String getFoodCardH5() {
		return foodCardH5;
	}
	public void setFoodCardH5(String foodCardH5) {
		this.foodCardH5 = foodCardH5;
	}
	public String getPassType() {
		return passType;
	}
	public void setPassType(String passType) {
		this.passType = passType;
	}
	public List<UserImageInfo> getFacePicList() {
		return facePicList;
	}
	public void setFacePicList(List<UserImageInfo> facePicList) {
		this.facePicList = facePicList;
	}


	public Integer getCheckRole() {
		return checkRole;
	}

	public void setCheckRole(Integer checkRole) {
		this.checkRole = checkRole;
	}

	public Integer getPassRecordStatus() {
		return passRecordStatus;
	}

	public void setPassRecordStatus(Integer passRecordStatus) {
		this.passRecordStatus = passRecordStatus;
	}

	public Integer getFacePlusImageId() {
		return facePlusImageId;
	}

	public void setFacePlusImageId(Integer facePlusImageId) {
		this.facePlusImageId = facePlusImageId;
	}

	public String getImageUrl01() {
		return imageUrl01;
	}

	public void setImageUrl01(String imageUrl01) {
		this.imageUrl01 = imageUrl01;
	}
	
	
}
